GNOMARIO_GAME_DATA = [[
<xml>
<!-- Static objects -->
<environment>
    <object id="brick" width="32" height="32" tex="brick_standard"/>
    <object id="powerbrick" width="32" height="32" tex="brick_special"/>
    <object id="trigger" width="32" height="32" tex="trigger" insivible="true"/>
</environment>

<!-- Live objects -->
<creatures>
    <object id="gnomario" health="1" speed="2" tex="gnome_test" width="30" height="30" />
    <object id="murloc" health="1" speed="1" hostile="true" width="28" height="28" />
</creatures>

<!-- AI scripts -->
<scripts>
    <script id="default">
        if self:OnGround() then
            if (self.limitLeft and self.speed == -1) or (self.limitRight and self.speed == 1) then self:Turn() end
            self:Walk()
        end
    </script>
</scripts>

<!-- Levels -->
<!-- Levels are designed by using the object IDs as a shorthand class, fx. [brick] or [murloc] -->
<levels>
    <level id="level2" width="1200" height="320">
        <brick x="200" y="200"/>
        <powerbrick x="140" y="100"/>
        <brick y="0" x="0"/>
        <brick y="0" x="400"/>
        <murloc y="200" x="100"/>
    </level>
</levels>
</xml>
]];

--[[ Stuff I need to turn into XML, bleh.
Gnomario_Creatures = {
    -- phase types (player and bosses)
    gnomario = {
        health = 1, -- health points (if it drops to 0, the creature either changes phase or dies)
        speed = 2, -- walking speed, meters per second
        tex = 'gnome_test',
        width=32,
        height=32,
        damage = nil, -- damage (CanBreakBlocks, WeaponType)
    },
    dorfario = {
        health = 1,
        speed = 2,
        tex = 'dorfario',
        damage = {1,0}
    },
    humario = {
        health = 1,
        speed = 3,
        tex = 'humario',
        damage = {1,1}
    },

    hogger = {
        health = 10,
        speed = 2,
        tex = 'hogger',
        damage = {2,1}, -- 2 damage if he physically hits you, 1 damage if his shot hits you.
        defaultScript = 'hogger'
    },
    hogger_mad = {
        health = 10,
        speed = 5,
        tex = 'hogger_mad',
        damage = {2,2}, -- 2 damage if he physically hits you, 2 damage if his shot hits you.
        defaultScript = 'hogger_mad'
    },

    -- actual creatures
    player = {
        phases = { 'gnomario', 'dorfario', 'humario' }, -- powerups or losing health changes the phase.
        init = 1,
        player = true,
        width=32,
        height=32
    },
    murloc = {
        health = 1,
        speed = 1,
        tex = nil,--'murloc',
        hostile = true,
    },
    hogger = {
        phases = {'hogger', 'hogger_mad'},
        hostile = true,
    }
}
]]--
